ตัวจัดการการแจ้งเตือน
GET https://mssq.me/api/notification-handlers/
curl --request GET \
--url 'https://mssq.me/api/notification-handlers/' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://mssq.me/api/notification-handlers/' \
--header 'Authorization: Bearer {api_key}' \
| พารามิเตอร์ | รายละเอียด | คำอธิบาย |
|---|---|---|
| page | เสริม (Optional) จำนวนเต็ม (Integer) | หมายเลขหน้าที่คุณต้องการผลลัพธ์ ค่าเริ่มต้นคือ 1 |
| results_per_page | เสริม (Optional) จำนวนเต็ม (Integer) | จำนวนผลลัพธ์ที่คุณต้องการต่อหน้า ค่าที่อนุญาตคือ: 10 , 25 , 50 , 100 , 250 , 500 , 1000 ค่าเริ่มต้นคือ 25 |
{
"data": [
{
"id": 1,
"type": "email",
"name": "Work email",
"settings": {
"email": "[email protected]"
},
"is_enabled": true,
"last_datetime": null,
"datetime": "2026-08-05 01:19:56",
}
],
"meta": {
"page": 1,
"results_per_page": 25,
"total": 1,
"total_pages": 1
},
"links": {
"first": "https://mssq.me/api/notification-handlers?page=1",
"last": "https://mssq.me/api/notification-handlers?page=1",
"next": null,
"prev": null,
"self": "https://mssq.me/api/notification-handlers?page=1"
}
}
GET https://mssq.me/api/notification-handlers/{notification_handler_id}
curl --request GET \
--url 'https://mssq.me/api/notification-handlers/{notification_handler_id}' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://mssq.me/api/notification-handlers/{notification_handler_id}' \
--header 'Authorization: Bearer {api_key}' \
{
"data": {
"id": 1,
"type": "email",
"name": "Work email",
"settings": {
"email": "[email protected]"
},
"is_enabled": true,
"last_datetime": null,
"datetime": "2026-08-05 01:19:56",
}
}
POST https://mssq.me/api/notification-handlers
| พารามิเตอร์ | รายละเอียด | คำอธิบาย |
|---|---|---|
| name | จำเป็น ข้อความ (String) | - |
| type | จำเป็น ข้อความ (String) | ค่าที่อนุญาต: email , webhook , slack , discord , telegram , microsoft_teams , twilio , twilio_call , whatsapp , x , google_chat , internal_notification |
| เสริม (Optional) ข้อความ (String) | ใช้ได้เมื่อ: type = email อีเมล | |
| webhook | เสริม (Optional) ข้อความ (String) | ใช้ได้เมื่อ: type = webhook Webhook URL |
| slack | เสริม (Optional) ข้อความ (String) | ใช้ได้เมื่อ: type = slack Slack webhook URL |
| discord | เสริม (Optional) ข้อความ (String) | ใช้ได้เมื่อ: type = discord Discord webhook URL |
| telegram | เสริม (Optional) ข้อความ (String) | ใช้ได้เมื่อ: type = telegram Telegram API Token |
| telegram_chat_id | เสริม (Optional) ข้อความ (String) | ใช้ได้เมื่อ: type = telegram Telegram Chat ID |
| microsoft_teams | เสริม (Optional) ข้อความ (String) | ใช้ได้เมื่อ: type = microsoft_teams Microsoft Teams webhook URL |
| google_chat | เสริม (Optional) ข้อความ (String) | ใช้ได้เมื่อ: type = google_chat Google chat webhook URL |
| x_consumer_key | เสริม (Optional) ข้อความ (String) | ใช้ได้เมื่อ: type = x Telegram API Token |
| x_consumer_secret | เสริม (Optional) ข้อความ (String) | ใช้ได้เมื่อ: type = x Telegram API Token |
| x_access_token | เสริม (Optional) ข้อความ (String) | ใช้ได้เมื่อ: type = x Telegram API Token |
| x_access_token_secret | เสริม (Optional) ข้อความ (String) | ใช้ได้เมื่อ: type = x Telegram API Token |
| twilio | เสริม (Optional) ข้อความ (String) | ใช้ได้เมื่อ: type = twilio เบอร์โทรศัพท์ |
| twilio_call | เสริม (Optional) ข้อความ (String) | ใช้ได้เมื่อ: type = twilio_call เบอร์โทรศัพท์ |
| เสริม (Optional) ข้อความ (String) | ใช้ได้เมื่อ: type = whatsapp เบอร์โทรศัพท์ |
curl --request POST \
--url 'https://mssq.me/api/notification-handlers' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Example' \
--form 'type=email' \
--form 'email=[email protected]' \
--url 'https://mssq.me/api/notification-handlers' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Example' \
--form 'type=email' \
--form 'email=[email protected]' \
{
"data": {
"id": 1
}
}
POST https://mssq.me/api/notification-handlers/{notification_handler_id}
| พารามิเตอร์ | รายละเอียด | คำอธิบาย |
|---|---|---|
| name | เสริม (Optional) ข้อความ (String) | - |
| type | เสริม (Optional) ข้อความ (String) | ค่าที่อนุญาต: email , webhook , slack , discord , telegram , microsoft_teams , twilio , twilio_call , whatsapp , x , google_chat , internal_notification |
| เสริม (Optional) ข้อความ (String) | ใช้ได้เมื่อ: type = email อีเมล | |
| webhook | เสริม (Optional) ข้อความ (String) | ใช้ได้เมื่อ: type = webhook Webhook URL |
| slack | เสริม (Optional) ข้อความ (String) | ใช้ได้เมื่อ: type = slack Slack webhook URL |
| discord | เสริม (Optional) ข้อความ (String) | ใช้ได้เมื่อ: type = discord Discord webhook URL |
| telegram | เสริม (Optional) ข้อความ (String) | ใช้ได้เมื่อ: type = telegram Telegram API Token |
| telegram_chat_id | เสริม (Optional) ข้อความ (String) | ใช้ได้เมื่อ: type = telegram Telegram Chat ID |
| microsoft_teams | เสริม (Optional) ข้อความ (String) | ใช้ได้เมื่อ: type = microsoft_teams Microsoft Teams webhook URL |
| google_chat | เสริม (Optional) ข้อความ (String) | ใช้ได้เมื่อ: type = google_chat Google chat webhook URL |
| x_consumer_key | เสริม (Optional) ข้อความ (String) | ใช้ได้เมื่อ: type = x Telegram API Token |
| x_consumer_secret | เสริม (Optional) ข้อความ (String) | ใช้ได้เมื่อ: type = x Telegram API Token |
| x_access_token | เสริม (Optional) ข้อความ (String) | ใช้ได้เมื่อ: type = x Telegram API Token |
| x_access_token_secret | เสริม (Optional) ข้อความ (String) | ใช้ได้เมื่อ: type = x Telegram API Token |
| twilio | เสริม (Optional) ข้อความ (String) | ใช้ได้เมื่อ: type = twilio เบอร์โทรศัพท์ |
| twilio_call | เสริม (Optional) ข้อความ (String) | ใช้ได้เมื่อ: type = twilio_call เบอร์โทรศัพท์ |
| เสริม (Optional) ข้อความ (String) | ใช้ได้เมื่อ: type = whatsapp เบอร์โทรศัพท์ | |
| is_enabled | เสริม (Optional) บูลีน (Boolean) | - |
curl --request POST \
--url 'https://mssq.me/api/notification-handlers/{notification_handler_id}' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Example new name' \
--form 'is_enabled=1' \
--url 'https://mssq.me/api/notification-handlers/{notification_handler_id}' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Example new name' \
--form 'is_enabled=1' \
{
"data": {
"id": 1
}
}
DELETE https://mssq.me/api/notification-handlers/{notification_handler_id}
curl --request DELETE \
--url 'https://mssq.me/api/notification-handlers/{notification_handler_id}' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://mssq.me/api/notification-handlers/{notification_handler_id}' \
--header 'Authorization: Bearer {api_key}' \